#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1  DeepSkyBlue
#property indicator_width1  2

extern int    timeFrame        = 1440;
extern int    Price            = PRICE_CLOSE;
extern bool   alertsOn         = true;
extern bool   alertsOnCurrent  = true;
extern bool   alertsMessage    = true;
extern bool   alertsSound      = true;
extern bool   alertsNotify     = true;
extern bool   alertsEmail      = false;
extern string soundfile        = "alert2.wav";


double buffer[];
double trend[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   IndicatorBuffers(2);
   SetIndexBuffer(0,buffer);
   SetIndexBuffer(1,trend);
   return(0);
}

//
//
//
//
//

int start()
{

   int i,counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //
   //

   for(i=limit; i >= 0; i--) buffer[i] = iOpen(NULL,timeFrame,iBarShift(NULL,timeFrame,Time[i]));
   for(i=limit; i >= 0; i--)
   {
      double price    = iMA(NULL,0,1,0,MODE_SMA,Price,i); 
             trend[i] = trend[i+1];
             if (price>buffer[i]) trend[i] =  1;
             if (price<buffer[i]) trend[i] = -1;
   }   
   
   //
   //
   //
   //
         
   if (alertsOn)
   {
      if (alertsOnCurrent)
           int whichBar = 0;
      else     whichBar = 1;
         
      if (trend[whichBar] != trend[whichBar+1])
      if (trend[whichBar] == 1)
                 doAlert("price crossing daily Open up");
           else  doAlert("price crossing daily Open down");       
    }   
return(0);
}

//+------------------------------------------------------------------+
//
//
//
//

void doAlert(string doWhat)
{
   static string   previousAlert="nothing";
   static datetime previousTime;
   string message;
   
      if (previousAlert != doWhat || previousTime != Time[0]) {
          previousAlert  = doWhat;
          previousTime   = Time[0];

          //
          //
          //
          //
          //

          message =  StringConcatenate(Symbol()," at ",TimeToStr(TimeLocal(),TIME_SECONDS)," Daily Open ",doWhat);
             if (alertsMessage) Alert(message);
             if (alertsNotify)  SendNotification(message);
             if (alertsEmail)   SendMail(StringConcatenate(Symbol()," Daily Open  "),message);
             if (alertsSound)   PlaySound(soundfile);
      }
}